diff --git a/src/test/regress/expected/select_parallel.out b/src/test/regress/expected/select_parallel.out
index 038a62e..5d06a9b 100644
--- a/src/test/regress/expected/select_parallel.out
+++ b/src/test/regress/expected/select_parallel.out
@@ -186,6 +186,12 @@ explain (costs off)
                            Index Cond: (hundred > 1)
 (8 rows)
 
+select  count((unique1)) from tenk1 where hundred > 1;
+ count 
+-------
+  9800
+(1 row)
+
 reset enable_seqscan;
 reset enable_indexscan;
 -- test parallel merge join path.
diff --git a/src/test/regress/sql/select_parallel.sql b/src/test/regress/sql/select_parallel.sql
index 9311a77..e038a3a 100644
--- a/src/test/regress/sql/select_parallel.sql
+++ b/src/test/regress/sql/select_parallel.sql
@@ -70,6 +70,7 @@ set enable_indexscan to off;
 
 explain (costs off)
 	select  count((unique1)) from tenk1 where hundred > 1;
+select  count((unique1)) from tenk1 where hundred > 1;
 
 reset enable_seqscan;
 reset enable_indexscan;
